> # NAME

> cgD3D9ValidateVertexDeclaration - validate a custom D3D9 vertex declaration stream

> # SYNOPSIS

>       #include <Cg/cgD3D9.h>

>       CGbool cgD3D9ValidateVertexDeclaration( CGprogram program,
>                                               const D3DVERTEXELEMENT9 * decl );

> # PARAMETERS

> program

>   The program to test for compatibility.

> decl

>   The D3D9 custom vertex declaration stream to test for compatibility. It must be terminated by D3DDECL_END().

> # RETURN VALUES

> Returns CG_TRUE if the vertex stream is compatible.

> Returns CG_FALSE otherwise.

> # DESCRIPTION

> cgD3D9ValidateVertexDeclaration tests a custom D3D9 vertex declaration stream for compatibility with the inputs expected by a program.

> For a vertex stream to be compatible with a program's expected inputs it must have a D3DVERTEXELEMENT9 element for each varying input parameter that the program uses.

> # EXAMPLES

>       // Decl is a custom vertex declaraton already setup

>       CGbool ret = cgD3D9ValidateVertexDeclaration( program, Decl );
>       if( ret == CG_TRUE )
>           printf( "Vertex declaration not compatable with the program's varying parameters.\n" );

> # ERRORS

> CG_INVALID_PROGRAM_HANDLE_ERROR is generated if program is not a valid program handle.

> # HISTORY

> cgD3D9ValidateVertexDeclaration was introduced in Cg 1.1.

> # SEE ALSO

> cgD3D9ResourceToDeclUsage